summaryrefslogtreecommitdiffstats
path: root/bin/reproducible_node_health_check.sh
diff options
context:
space:
mode:
authorHolger Levsen <holger@layer-acht.org>2017-06-20 19:33:38 +0200
committerHolger Levsen <holger@layer-acht.org>2017-06-20 19:33:38 +0200
commit3a2e3b9055b802dbc1f08e8935d486b28b834e51 (patch)
treeac259e53a8a0a4e9cf8c713e088d2bdc71b7e333 /bin/reproducible_node_health_check.sh
parent414349a1679d0f3b49c90732f066ea28dfdda107 (diff)
downloadjenkins.debian.net-3a2e3b9055b802dbc1f08e8935d486b28b834e51.tar.xz
reproducible Debian: correctly get exit code
Signed-off-by: Holger Levsen <holger@layer-acht.org>
Diffstat (limited to 'bin/reproducible_node_health_check.sh')
-rwxr-xr-xbin/reproducible_node_health_check.sh3
1 files changed, 2 insertions, 1 deletions
diff --git a/bin/reproducible_node_health_check.sh b/bin/reproducible_node_health_check.sh
index 2e13f4d7..41139580 100755
--- a/bin/reproducible_node_health_check.sh
+++ b/bin/reproducible_node_health_check.sh
@@ -78,7 +78,8 @@ fi
# check for hanging mounts
#
echo "$(date -u) - testing whether running 'mount' takes forever..."
-TIMEOUT=$(timeout 15 mount)
+timeout 15 mount
+TIMEOUT=$?
if [ $TIMEOUT -ne 0 ] ; then
echo "$(date -u) - running 'mount' takes forever, giving up."
exit 1